Skip Menu |
 

This queue is for tickets about the PAR-Packer CPAN distribution.

Report information
The Basics
Id: 97018
Status: resolved
Priority: 0/
Queue: PAR-Packer

People
Owner: RSCHUPP [...] cpan.org
Requestors: Haytham_Shoukry [...] mentor.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Issue while upgrading PAR::Packer
Date: Mon, 7 Jul 2014 13:45:57 +0000
To: "bug-PAR-Packer [...] rt.cpan.org" <bug-PAR-Packer [...] rt.cpan.org>
From: "Shoukry, Haytham" <Haytham_Shoukry [...] mentor.com>
Download (untitled) / with headers
text/plain 1.8k
Hi Author, I ran into a problem while I wanted to upgrade my pp version from 1.015 to the latest 1.018 I simply did sudo cpan Show quoted text
cpan> force install pp
And here is what I got: ... PAR-Packer-1.018/AUTHORS PAR-Packer-1.018/META.yml CPAN: File::Temp loaded ok (v0.22) CPAN.pm: Going to build R/RS/RSCHUPP/PAR-Packer-1.018.tar.gz *** You have extra Perl library paths set in your environment. Please note that these paths (set with PERL5LIB or PERLLIB) are not honored by perl when running under taint mode, which may lead to problems. This is a limitation (by design) of Perl, not of PAR::Packer; but some of the problems may manifest here during installation. Checking if your kit is complete... Looks good Prototype mismatch: sub main::prompt: none vs ($;$) at /usr/local/share/perl5/ExtUtils/MakeMaker.pm line 220 "bsd_glob" is not defined in %File::Glob::EXPORT_TAGS at /usr/local/share/perl5/ExtUtils/MakeMaker.pm line 220 ERROR from evaluation of /root/.cpan/build/PAR-Packer-1.018-hCABdn/myldr/Makefile.PL: Can't continue after import errors at ./Makefile.PL line 14 BEGIN failed--compilation aborted at ./Makefile.PL line 14. Warning: No success on command[/usr/bin/perl Makefile.PL INSTALLDIRS=site] Warning (usually harmless): 'YAML' not installed, will not store persistent state RSCHUPP/PAR-Packer-1.018.tar.gz /usr/bin/perl Makefile.PL INSTALLDIRS=site -- NOT OK Running make test Make had some problems, won't test Running make install Make had some problems, won't install Could not read '/root/.cpan/build/PAR-Packer-1.018-hCABdn/META.yml'. Falling back to other methods to determine prerequisites Failed during this command: RSCHUPP/PAR-Packer-1.018.tar.gz : writemakefile NO '/usr/bin/perl Makefile.PL INSTALLDIRS=site' returned status 65280 I appreciate your feedback, Thanks, Haytham
You have an older perl (<= 5.14), right? Cheers, Roderich
Subject: RE: [rt.cpan.org #97018] Issue while upgrading PAR::Packer
Date: Mon, 7 Jul 2014 13:57:21 +0000
To: "bug-PAR-Packer [...] rt.cpan.org" <bug-PAR-Packer [...] rt.cpan.org>
From: "Shoukry, Haytham" <Haytham_Shoukry [...] mentor.com>
Download (untitled) / with headers
text/plain 880b
Yes % /usr/bin/perl --version This is perl, v5.10.1 (*) built for x86_64-linux-thread-multi Copyright 1987-2009, Larry Wall Perl may be copied only under the terms of either the Artistic License or the GNU General Public License, which may be found in the Perl 5 source kit. Complete documentation for Perl, including FAQ lists, should be found on this system using "man perl" or "perldoc perl". If you have access to the Internet, point your browser at http://www.perl.org/, the Perl Home Page. Thanks, Haytham Show quoted text
-----Original Message----- From: Roderich Schupp via RT [mailto:bug-PAR-Packer@rt.cpan.org] Sent: Monday, July 07, 2014 3:56 PM To: Shoukry, Haytham Subject: [rt.cpan.org #97018] Issue while upgrading PAR::Packer <URL: https://rt.cpan.org/Ticket/Display.html?id=97018 > You have an older perl (<= 5.14), right? Cheers, Roderich
Download (untitled) / with headers
text/plain 236b
On 2014-07-07 09:57:32, Haytham_Shoukry@mentor.com wrote: Show quoted text
> Yes > % /usr/bin/perl --version > > This is perl, v5.10.1 (*) built for x86_64-linux-thread-multi
See also #96739 and #96288. I just uploaded a fix to CPAN. Cheers, Roderich


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.